import { defineComponent } from "vue";
import { string } from "vue-types";

import { IconEmpty } from "@/assets/icons";

export default defineComponent({
  props: {
    description: string().def("暂无任何内容..."),
  },
  setup(props) {
    return () => {
      const { description } = props;
      return (
        <div class="w-1/1 py-50px text-center">
          <IconEmpty class="text-80px" />
          <div class="mt-20px text-gray text-12px">{description}</div>
        </div>
      );
    };
  },
});
