export class TimeController {
  delayTime: number;
  durationTime: number;
  _action: any;
  _timer: any;
  constructor(options?: { delayTime?: number; durationTime?: number }) {
    this.delayTime = options?.delayTime || 0;
    this.durationTime = options?.durationTime || 0;
  }
  setLoop(action: () => any) {
    this._action = action;
    return this;
  }
  start() {
    this._timer = setTimeout(() => {
      this._action();
      this._timer = setInterval(() => {
        this._action();
      }, this.durationTime);
    }, this.delayTime);
  }
  stop() {
    clearTimeout(this._timer);
    clearInterval(this._timer);
  }
}
