import { string } from "vue-types";
import { useCompData } from ".";
import { Image, Text } from "../../../basicUI";
import { createUIComp } from "../../../defines/createUIComp";

export const Component = createUIComp({
  props: {
    compId: string().isRequired,
  },
  setup(props) {
    const { children } = useCompData(props.compId);

    return () => (
      <div class="pt-10px px-34px pr-17.5px">
        <div class="flex justify-end relative pb-11px  z-10">
          <div class="absolute left-0 bottom-0 z-10">
            <Image.Component
              compId={children.imgShoe}
              class="w-175px h-130px object-cover"
            />
          </div>
          <Image.Component
            compId={children.img1}
            class="w-200px h-165px object-cover"
          />
        </div>
        <div class="relative inline-block -mt-30px border-2px border-solid border-dark-400 pt-50px pb-25px leading-loose">
          <div class="absolute -right-2px top-0 w-10px h-50px bg-white z-1"></div>
          <Text.Component compId={children.text} />
        </div>
      </div>
    );
  },
});
