import { useEditor } from "@/modules/editor";
import { DesignComp } from "@/modules/editor/objects/DesignTemp/DesignComp";
import { CompAlignTools } from "@/modules/editor/objects/Toolbars/liveTools";
import { css } from "@linaria/core";
import { defineComponent, reactive, watchEffect } from "vue";
import { string } from "vue-types";

export default defineComponent({
  props: {
    value: string(),
  },
  setup(props) {

    const editor = useEditor();
    const comp = editor.helper.findComp(props.value as string) as DesignComp;
    console.log("align id=>", props.value, comp);
    return () => {
      return (
        <div class={AlignToolsStyle}>
            <div class="row">
            {
                CompAlignTools.Left.map((item) => {
                    return item.getVisible.call(editor, comp) ? (
                      <item.component
                        class="p-4px"
                        value={item.getValue?.(comp)}
                        onClick={() => item.onClick.call(editor, comp)}
                      />
                    ) : null;
                  })
            }
            </div>
            <div class="row ml-10px">
            {
                CompAlignTools.right.map((item) => {
                    return item.getVisible.call(editor, comp) ? (
                      <item.component
                        class="p-4px"
                        value={item.getValue?.(comp)}
                        onClick={() => item.onClick.call(editor, comp)}
                      />
                    ) : null;
                  })
            }
            </div>
        </div>
      );
    };
  },
});

const AlignToolsStyle = css`
  flex: 1;
  display: flex;
  align-items: center;
  .row {
    background: #303030;
    border-radius: 4px 4px 4px 4px;
  }
`;
