import { ColumnItem } from "@queenjs/components/FormUI";
import { colorToHex, hexToColor } from "@queenjs/utils";
import NewColorPicker from "../../formItems/NewColorPicker";

export function createColorOpts1(): Pick<
  ColumnItem,
  "getValue" | "changeExtra" | "component" | "itemProps"
> {
  return {
    component: "ColorPicker",
    getValue(v) {
      try {
        return hexToColor(v);
      } catch (error) {
        return [0, 0, 0];
      }
    },
    changeExtra(data) {
      data.value = colorToHex(data.value);
      return data;
    },
  };
}

export function createColorOpts(): Pick<
  ColumnItem,
  "getValue" | "changeExtra" | "component" | "itemProps" | "props"
> {
  return {
    component: NewColorPicker,
    itemProps: {
      style: { justifyContent: "space-between" },
    },
    getValue(v) {
      return v || "#ffffff";
    },
    changeExtra(data) {
      return data || "#ffffff";
    },
  };
}
