import {
  IconAlignC,
  IconAlignL,
  IconAlignR,
  IconClear,
  IconCroperr,
  IconCross,
  IconFloatOff,
  IconFloatOn,
  IconLayerDown,
  IconLayerUp,
  IconQueen,
  IconRight,
  IconAi,
  IconSave,
  IconUngroup,
  IconGroup,
  IconAlignXLeft,
  IconAlignXCenter,
  IconAlignXRight,
  IconAlignXBetween,
  IconAlignYTop,
  IconAlginYCenter,
  IconAlignYBetween,
  IconAlignYBottom,
  IconWidth,
  IconHeight,
  IconDelete,
  IconRelate,
} from "@/assets/icons";
import {
  IconCamera,
  IconCube,
  IconEdit,
  IconEyeOff,
  IconEyeOn,
  IconLock,
  IconRedo,
  IconUndo,
  IconUnlock,
} from "@queenjs/icons";
import { createTipIcon } from "./create";
import { FontSize } from "./TipIcon";

export const TipIcons = {
  Rename: createTipIcon({
    icons: [IconEdit],
    tips: ["重命名"],
  }),
  QueenService: createTipIcon({
    icons: [IconQueen],
    tips: ["3dqueen服务"],
  }),
  Screenshot: createTipIcon({
    icons: [IconCamera],
    tips: ["截屏并保存封面"],
  }),
  AiText: createTipIcon({
    icons: [IconAi],
    tips: ["Ai文案"],
  }),
  Align: createTipIcon({
    icons: [IconAlignL, IconAlignC, IconAlignR],
    tips: ["左对齐", "居中", "右对齐"],
  }),
  Edit: createTipIcon({
    icons: [IconEdit],
    tips: ["编辑"],
  }),

  Position: createTipIcon({
    icons: [IconFloatOff, IconFloatOn],
    tips: ["开启浮动", "关闭浮动"],
  }),
  Visible: createTipIcon({
    icons: [IconEyeOn, IconEyeOff],
    tips: ["显示", "隐藏"],
  }),
  Lock: createTipIcon({
    icons: [IconLock, IconUnlock],
    tips: ["锁定", "未锁定"],
  }),
  Delete: createTipIcon({
    icons: [FontSize(IconDelete, 26)],
    tips: ["删除"],
  }),
  Copy: createTipIcon({
    icons: [IconCamera],
    tips: ["拷贝"],
  }),
  FullWidth: createTipIcon({
    icons: [IconCube],
    tips: ["全屏宽度"],
  }),
  ClearTransform: createTipIcon({
    icons: [IconClear],
    tips: ["清除变换"],
  }),
  Undo: createTipIcon({
    icons: [IconUndo],
    tips: ["撤销(Ctrl+Z)"],
  }),
  Redo: createTipIcon({
    icons: [IconRedo],
    tips: ["重做(Ctrl+Shift+Z)"],
  }),
  LayerUp: createTipIcon({
    icons: [FontSize(IconLayerUp, 26)],
    tips: ["层级上移"],
  }),
  LayerDown: createTipIcon({
    icons: [FontSize(IconLayerDown, 26)],
    tips: ["层级下移"],
  }),
  ParentComp: createTipIcon({
    icons: [IconLayerUp],
    tips: ["切换到父组件"],
  }),
  SaveAsComp: createTipIcon({
    icons: [IconSave],
    tips: ["保存为组件"],
  }),
  CancelGroup: createTipIcon({
    icons: [FontSize(IconUngroup, 26)],
    tips: ["取消打组"],
  }),
  CreateGroup: createTipIcon({
    icons: [FontSize(IconGroup, 26)],
    tips: ["打组"],
  }),
  Cross: createTipIcon({
    icons: [IconCross],
    tips: ["取消"],
  }),
  Right: createTipIcon({
    icons: [IconRight],
    tips: ["确定"],
  }),
  Cropper: createTipIcon({
    icons: [FontSize(IconCroperr, 26)],
    tips: ["裁剪"],
  }),
  AlignXLeft: createTipIcon({
    icons: [FontSize(IconAlignXLeft, 28)],
    tips: ["左对齐"],
  }),
  AlignXCenter: createTipIcon({
    icons: [FontSize(IconAlignXCenter, 26)],
    tips: ["横向居中对齐"],
  }),
  AlignXRight: createTipIcon({
    icons: [FontSize(IconAlignXRight, 26)],
    tips: ["右对齐"],
  }),
  AlignXBetween: createTipIcon({
    icons: [FontSize(IconAlignXBetween, 26)],
    tips: ["横向均匀排布"],
  }),
  AlignYTop: createTipIcon({
    icons: [FontSize(IconAlignYTop, 26)],
    tips: ["顶对齐"],
  }),
  AlignYCenter: createTipIcon({
    icons: [FontSize(IconAlginYCenter, 26)],
    tips: ["纵向居中对齐"],
  }),
  AlignYBottom: createTipIcon({
    icons: [FontSize(IconAlignYBottom, 26)],
    tips: ["底对齐"],
  }),
  AlignYBetween: createTipIcon({
    icons: [FontSize(IconAlignYBetween, 26)],
    tips: ["纵向均匀排布"],
  }),
  SameWidth: createTipIcon({
    icons: [FontSize(IconWidth, 28)],
    tips: ["相同宽度"],
  }),
  SameHeight: createTipIcon({
    icons: [FontSize(IconHeight, 28)],
    tips: ["相同高度"],
  }),
  Relate: createTipIcon({
    icons: [IconRelate],
    tips: ["锁定宽高比"],
  }),
};
