import { useEditor } from "@/modules/editor";
import { Button, Dropdown } from "ant-design-vue";
import { defineUI } from "queenjs";
import { ShareBox } from "./ShareBox";
import History from "../Toolbar/History";

export default defineUI({
  setup() {
    const { store, actions, jumpIndexHtml } = useEditor();

    return () => (
      <div class="relative flex justify-between items-center">
        <div class="flex items-center">
          <aside>
            <img
              class="h-40px cursor-pointer"
              src={require("@/assets/imgs/Logo.png")}
              alt="logo"
              onClick={() => jumpIndexHtml()}
            />
          </aside>
          <History class="ml-100px" />
        </div>
        {/* <Radio.Group
          value={store.mode}
          onChange={(e) => actions.switchMode(e.target.value)}
        >
          <Radio.Button value={store.isEditPage ? "editPage" : "editComp"}>
            编辑
          </Radio.Button>
          <Radio.Button value="preview">预览</Radio.Button>
        </Radio.Group> */}
        <div class="absolute left-1/2 top-1/2 transform -translate-x-1/2 -translate-y-1/2">
          <div class="text-16px font-bold text-light-50 max-w-240px truncate leading-normal">
            {store.designData?.title}
          </div>
        </div>
        <aside class="space-x-12px">
          {store.isEditPage && (
            <Dropdown
              overlay={<ShareBox />}
              trigger="click"
              placement="bottomRight"
            >
              <Button size="small" class="text-12px">
                预览
              </Button>
            </Dropdown>
          )}
          <Button
            class="text-12px"
            type="primary"
            size="small"
            onClick={() => actions.saveDesign()}
          >
            保存
          </Button>
        </aside>
      </div>
    );
  },
});
