import { Button } from "ant-design-vue";
import dayjs from "dayjs";
import { defineUI } from "queenjs";
import { object } from "vue-types";

export default defineUI({
  props: {
    data: object<any>(),
  },
  emits: ["click"],
  setup(props, { emit }) {
    const shareLink = `${location.origin}/share.html?id=${props.data._id}&isSys=true`;

    return () => {
      const { data } = props;

      return (
        <div class="flex">
          <div class="w-660px h-660px py-20px bg-[#1F1F1F]">
            <iframe
              class="w-375px h-620px mx-140px"
              src={shareLink}
              frameborder="0"
              scrolling="no"
            ></iframe>
          </div>
          <div class="flex-1 ml-40px">
            <div class="mt-35px text-22px text-light-50 leading-snug">
              {data.title}
            </div>
            <div class="mt-18px text-20px text-light-50 opacity-70 leading-tight">
              {data.desc}
            </div>
            <div class="mt-40px">
              <Button
                class=""
                block
                type="primary"
                size="large"
                onClick={() => emit("click")}
              >
                使用模板
              </Button>
            </div>
            <div class="mt-80px flex items-center justify-between">
              <span>上架时间：</span>
              <span>{dayjs(data.updateTime).format("YYYY.MM.DD")}</span>
            </div>
          </div>
        </div>
      );
    };
  },
});
