import { useEditor } from "@/modules/editor";
import { css } from "@linaria/core";
import { defineUI } from "queenjs";
import { TipIcons } from "../../TipIcons";

export default defineUI({
  setup() {
    const { controls } = useEditor();

    const { history } = controls.historyCtrl;

    return () => {
      return (
        <div class="space-x-20px z-999">
          <TipIcons.Undo
            disable={
              !controls.historyCtrl.state.enable || !history.state.canUndo
            }
            class={btnCls}
            onClick={() => history.undo()}
          />
          <TipIcons.Redo
            disable={
              !controls.historyCtrl.state.enable || !history.state.canRedo
            }
            class={btnCls}
            onClick={() => history.redo()}
          />
        </div>
      );
    };
  },
});

const btnCls = css`
  color: #fff;
  font-size: 22px;
  &.icon_disable {
    color: #fff;
    opacity: 0.5;
  }
`;
