import { useEditor } from "@/modules/editor";
import { useLauncher } from "@/modules/launcher";
import { css } from "@linaria/core";
import { defineUI } from "queenjs";
import { TipIcons } from "../../TipIcons";

import { TopToolbarsLeft, TopToolbarsRight } from "@/modules/editor/objects/Toolbars/topToolbars";
import { DesignComp } from "@/modules/editor/objects/DesignTemp/DesignComp";

export default defineUI({
  setup() {
    const editor = useEditor();
    const { store, actions, helper } = editor;
    const launcher = useLauncher();
    
    return () => {
      const comp = helper.findComp(store.selected[0])
      const toolsLeft = comp ? TopToolbarsLeft.filter(t => t.getVisible.call(editor, comp)) : [];
      const toolsRight = comp ? TopToolbarsRight.filter(t => t.getVisible.call(editor, comp)) : [];

      return (
        <div>
          {
            false && <div id="toptoolbar" class={"p-10px h-50px flex items-center justify-between"}>
              <div class="flex-grow flex items-center">
              {
                toolsLeft.map((item) => {
                  return (
                    <item.component
                      class="p-4px"
                      value={item.getValue?.(comp as DesignComp)}
                      onClick={() => item.onClick.call(editor, comp as DesignComp)}
                    />
                  );
                })
              }
              </div>
              <div class="flex items-center">
                {
                   toolsRight.map((item) => {
                    return (
                      <item.component
                        class="p-4px"
                        value={item.getValue?.(comp as DesignComp)}
                        onClick={() => item.onClick.call(editor, comp as DesignComp)}
                      />
                    );
                  })
                }
              </div>
            </div>
          }
          <div class="absolute right-25px top-80px space-x-10px z-1000">
            <TipIcons.Screenshot
              class={bottomBtnStyles}
              onClick={() => actions.updateThumbnailByScreenshot(true)}
            />
          </div>
          <div class="absolute bottom-20px right-20px z-1000">
            <TipIcons.QueenService
              class={bottomBtnStyles}
              onClick={() => {
                launcher.showModal(<launcher.components.Viewport />, {
                  width: "400px",
                });
              }}
            />
          </div>
        </div>
      );
    }
  },
});

const bottomBtnStyles = css`
  padding: 10px;
  border-radius: 50%;
  background-color: #333;
  @apply shadow;
`;
