import { ModuleControl } from "queenjs";
import { reactive } from "vue";
import { EditorModule } from "../../module";

export class MediaCtrl extends ModuleControl<EditorModule> {
  state = reactive({
    medias: new Map<string, any>(),
  });
  init() {
    this.state.medias.clear();
  }
  setMediasInstance(key: string, instance: any) {
    this.state.medias.set(key, instance);
  }
  pauseOtherMedia(currKey: string) {
    for (let [key, value] of this.state.medias) {
      if (key != currKey && value) {
        value.pause();
      }
    }
  }
  removeMedia(currKey: string) {
    this.state.medias.delete(currKey);
  }
}
