import domtoimage from "dom-to-image";
import { Matrix } from "../SelectCtrl/matrix";

export class ScreenshotCtrl {
  async snap(options: { element: HTMLElement; ratio?: number }): Promise<Blob> {
    const dom = options.element;

    // const transferEl = document.querySelector(".transfer") as
    //   | HTMLElement
    //   | undefined;
    // if (transferEl) {
    //   transferEl.style.display = "none";
    // }
    
    //清除dom上的
    const transform =  dom.style.transform
    if (transform) {
       const m =  Matrix.createFromMatrixStr(transform);
        m.tx = 0;
        m.ty = 0;
        dom.style.transform = m.getMatrixStr();
    }

    
    if (options.ratio) {

      const result = await domtoimage.toJpeg(dom);
      const img = await new Promise<HTMLImageElement>((resolve) => {
        const image = new Image();
        image.src = result;
        image.onload = function () {
          // if (transferEl) {
          //   transferEl.style.display = "block";
          // }
          resolve(image);
        };
      });
      const canvas = document.createElement("canvas");
      canvas.width = img.naturalWidth;
      canvas.height = Math.min(
        img.naturalWidth / options.ratio,
        img.naturalHeight
      );
      const ctx = canvas.getContext("2d");
      ctx?.drawImage(
        img,
        0,
        0,
        canvas.width,
        canvas.height,
        0,
        0,
        canvas.width,
        canvas.height
      );
      return new Promise((resolve) => {
        canvas.toBlob((blob) => {
          // if (transferEl) {
          //   transferEl.style.display = "block";
          // }
          if (blob) {
            resolve(blob);
          }
        });
      });
    } else {
      console.log( "xxxxxxxxxxxxxxxxxx" ,  dom );
      const w = await domtoimage.toBlob(dom);
      if (transform) {
        dom.style.transform = transform;
      }
      return w;
    }
  }
}
