import { TransformCtrl } from ".";
import OnMouseMove from "./mouseMove";
import OnMouseUp from "./mouseUp";
import { CONST, downOptions, moveOptions } from "./state";

function getDivId(div: HTMLElement) {
  let c: any = div;
  if (!c) return;
  let i = 0;
  do {
    if (c.id) return c.id;
    c = c.parentElement;
    i += 1;
    if (i > 5) {
      return;
    }
  } while (c);
}

function getDivTransformFlag(div: HTMLElement) {
  const id = getDivId(div);
  if (!id) return "";
  if (
    id.indexOf("rotate") > -1 ||
    id.indexOf("move") > -1 ||
    id.indexOf("scale") > -1 ||
    id.indexOf("toolbar") > -1 ||
    id.indexOf("ruler") > -1
  )
    return id;

  return "";
}

export default function OnMouseDown(ctrl: TransformCtrl, e: MouseEvent) {
  downOptions._mouseDownTimestamp = Date.now();


  function OnMove(e:MouseEvent) {
    e.preventDefault();
    e.stopPropagation();
    OnMouseMove(ctrl, e);
  }
  document.addEventListener("mousemove", OnMove);

  //mouseup和click都会被触发, 监听click事件可以阻止子组件的点击行为
  document.addEventListener("click",(e: MouseEvent) => {
        document.removeEventListener("mousemove", OnMove);
        OnMouseUp(ctrl, e);
    },
    {
      capture: true,
      once: true,
    }
  );

  downOptions._state = CONST.MODE_NONE;
  downOptions._downClientX = e.clientX;
  downOptions._downClientY = e.clientY;

  downOptions._downed = true;
  downOptions._mouseDownFlag = getDivTransformFlag(e.target as any);
  if (downOptions._mouseDownFlag == "rotate") {
    downOptions._state = CONST.MODE_ROTATE;
  } else if (downOptions._mouseDownFlag.indexOf("move") > -1) {
    downOptions._state = CONST.MODE_MOVING;
  } else if (downOptions._mouseDownFlag.indexOf("scale") > -1) {
    downOptions._state = CONST.MODE_SCALE_WIDTH;
  }

  
  console.log( downOptions._mouseDownFlag ); 

  moveOptions._initMovePos.x = -1;
  moveOptions._initMovePos.y = -1;

  moveOptions._movePreClientY = e.clientY;
  moveOptions._movePreClientX = e.clientX;
}
