import { TransformCtrl } from ".";
import { CONST, downOptions, rotateOptions, scaleOptions } from "./state";

export default function OnMouseUp(ctrl:TransformCtrl,  e:MouseEvent) {
    let isClick = false;
    let offsetT = Date.now() - downOptions._mouseDownTimestamp;
    const dx = Math.abs(e.clientX - downOptions._downClientX);
    const dy = Math.abs(e.clientY - downOptions._downClientY);
    if (dx < 2 && dy < 2 && offsetT < 200) {
      isClick = true;
    }
    if (isClick) {
        ctrl.emit("click");

        const getToolbar = function (div: HTMLElement) {
            let c: any = div;
            if (!c) return;
            let i = 0;
            do {
                if (c.dataset.toolname) return c.dataset.toolname;
              c = c.parentElement;
              i += 1;
              if (i > 10) {
                return;
              }
            } while (c);
          }

          const toolbar =  getToolbar(e.target as any)
          if (toolbar) {
            ctrl.onClickToolbar(toolbar);
          }
        return;
    }

    if (downOptions._state == CONST.MODE_ROTATE) {
        rotateMouseUp(ctrl, e);
    } 

    else if (
        downOptions._state == CONST.MODE_SCALE_WIDTH ||
        downOptions._state == CONST.MODE_SCALE_SCALE
    ) {
        scaleOptions.scalePivot = undefined;
        scaleOptions.scaleCmd = false;
    } 

    //else if (this._state == MODE_MOVING) {
    //   this.moveMouseUp(e, isClick);
    // } else if (this._state == MODE_RULER_LINE) {
    //   this.assistRuler?.rulerLineMouseUp(e, isClick)
    // }else if (this._state == MODE_RULER_DRAG) {
    //   this.assistRuler?.onDragUp(e)
    // }
    downOptions._state = CONST.MODE_NONE;
}

function rotateMouseUp(ctr: TransformCtrl, e:MouseEvent) {
   
    rotateOptions.rotateCenter = undefined;
    if (!rotateOptions.rotateCmd) return;

    // let last = rotateOptions.lastRad;
    // let initrad = scope.objinitAngleRad;
    ctr.objContainer?.setPivot(0);
}