import { EditorModule } from "..";
import { CompObject } from "../../controllers/SelectCtrl/compObj";
import { Matrix } from "../../controllers/SelectCtrl/matrix";
import { DesignComp } from "../../objects/DesignTemp/DesignComp";
import { createCompStyle } from "../../objects/DesignTemp/creates/createCompStyle";
import { Layout } from "../../typings";


type EditCompPara = {
    left: number
    top: number;
    width: number;
    height: number;
}

const CachEditMasks:any = {};
let   RootEditLayer:HTMLElement;

export const editHelpers = EditorModule.helper({
    setCompEditLayer(compId: string, getPara:()=>EditCompPara) {
        CachEditMasks[compId] = getPara;
    },

    initEditLayer( root : HTMLElement) {
        RootEditLayer = root;
    },

    createEditElement(compId:string) {
        if (!RootEditLayer) return;
     
        const r = RootEditLayer.getBoundingClientRect();
        const comp = this.store.compMap[compId];
        const w = this.helper.designSizeToPx(comp.layout.size[0])
        const h = this.helper.designSizeToPx(comp.layout.size[1])
        const parent = document.createElement("div")
        const mtrx = this.helper.getCompWorlParentPos(compId, r.left, r.top);

        parent.style.position = "absolute";
        parent.style.width = "375px";
        parent.style.height = "375px";
        parent.style.transform = mtrx.getMatrixStr();
        parent.style.transformOrigin = "0 0";

        const v = document.createElement("div")
        v.style.width  =  w+ "px";
        v.style.height =  h + "px";
        v.style.position = "absolute";

        if (comp.layout.transformMatrix) {
            v.style.transform = comp.layout.transformMatrix;
            v.style.transformOrigin = "0 0";
        } else {//标识对象没有被移动过

            const p  = this.helper.findParentComp(compId) as DesignComp;
            const box = p.$el.getBoundingClientRect();
            const c = comp.$el.getBoundingClientRect();
            let x = c.left - box.x;
            let y = c.top -  box.y;
            const m = new Matrix();
            m.translate(x, y);
            v.style.transform = m.getMatrixStr();
            v.style.transformOrigin = "0 0";
        }
        parent.appendChild(v);
        RootEditLayer.appendChild(parent);

        return {
            dom: v,
            destroy: ()=>{
                RootEditLayer.removeChild(parent);
            }
        }
    }
});