import { PaymentModule } from ".";

export const actions = PaymentModule.action({
  async initPayPoints() {
    const { result } = await this.https.getPayPoinits();
    this.store.setPayPoints(result);
  },

  async createOrder(
    payMod: number,
    data: {
      productKey: string;
      amount: number;
      number: number;
      quantity: number;
    }
  ) {
    const currPayPoint = this.store.payPoints.find(
      (d) => d.productKey === data.productKey
    )!;
    const orderData = {
      ...data,
      price: currPayPoint.price,
      pointId: currPayPoint._id,
    };
    const { result: orderId } = await this.https.createOrder(orderData);
    const { result: link } = await this.https.createOrderQr({
      orderId: orderId,
      payMod,
    });
    return { orderId, link };
  },
});
