import { PaymentModule } from ".";

export const https = PaymentModule.http({
  getPayPoinits() {
    return this.request("/pay/points", {
      method: "GET",
      params: {
        project: this.config.project,
      },
    });
  },
  getPayAmount(data: { productKey: string; quantity: number; number: number }) {
    return this.request("/pay/point/amount", {
      method: "POST",
      data,
    });
  },
  createOrder(data) {
    return this.request("/pay/order/create", {
      method: "POST",
      data,
    });
  },
  createOrderQr(data) {
    return this.request("/pay/create/qr", {
      method: "POST",
      data,
    });
  },
  getOrderDetail(params: { id: string }) {
    return this.request("/pay/order/detail", {
      method: "GET",
      params,
    });
  },
});
