import { Dict_Apis } from "@/dict";
import { ModuleRoot } from "queenjs";
import { https } from "./https";
import { store } from "./store";
import { actions } from "./actions";

export class PaymentModule extends ModuleRoot {
  config = this.setConfig({
    project: "",
    httpConfig: {
      baseURL: Dict_Apis.promotion,
    },
  });
  actions = this.createActions(actions)
  https = this.createHttps(https);
  store = this.createStore(store);
  
  onReady() {
    this.actions.initPayPoints();
  }
}

export const { initPayment, usePayment } = PaymentModule.hook("Payment");
