import { IconClose } from "@queenjs/icons";
import { useQRCode } from "@vueuse/integrations/useQRCode";
import { useModal } from "queenjs";
import { defineComponent } from "vue";
import { string } from "vue-types";

export default defineComponent({
  props: {
    orderId: string().isRequired,
    link: string().isRequired,
  },
  setup(props) {
    const modal = useModal();
    const qrUrl = useQRCode(props.link);
    return () => (
      <div class="-m-24px ">
        <div class="relative p-20px bg-white">
          <IconClose class="absolute top-10px right-10px text-30px !text-[#666] cursor-pointer" onClick={() => modal.cancel()}/>
          <img class="w-200px" src={qrUrl.value} />
          <div class="text-[#666] text-center">扫码支付</div>
        </div>
      </div>
    );
  },
});
