declare interface TableListParams<T> {
  page: number;
  size: number;
  query?: T;
}

declare type TableListResult<T> = Promise<{
  errorNo: number;
  errorDesc: string;
  result: {
    list: T[];
    page: number;
    size: number;
    total: number;
  };
}>;

declare module "vue-dndrop" {
  export const Container: any;
  export const Draggable: any;
  export const vueDndrop: any;
}
declare module "ckeditor5-line-height-latest/src/lineheight";
declare module "howler";

declare type compType = {
  createTime?: string;
  published?: boolean;
  thumbnail?: string;
  title?: string;
  updateTime?: string;
  _id: string;
};

declare type createSourceType = {
  file: { url: any; size?: number };
  fileType: "image" | "video" | "svg";
  from: string;
  isSvg?: boolean;
};
